.header {
    display: flex;
    align-items: center;
    height: 6rem;
}


.header__navbar {
    display: flex;
    justify-content: space-between;
}

.header__navbar-icon {
    font-size: 1.8rem;
    margin: 0 4px;
}

.header__navbar-list {
    list-style: none;
    padding-left: 0;
    margin: 4px 0 0 0;
    display: flex;
}

.header__navbar-item-wrap {
    display: flex;
    justify-content: space-between;
}

.header__navbar-item {
    margin: 0 8px;
    position: relative;
    min-height: 26px;
}

.header__navbar-user {
    display: flex;
    justify-content: center;
}

.header__logo {
    height: 50px;
    width: 50px;
    object-fit: cover;
    object-position: 50% 0;
    scale: 5;
    position: relative;
    z-index: -1;
}

.header__btn {
    background: transparent;
    border: none;
    font-size: 1.2rem;
}

.header__navbar-user:hover .header__navbar-user-menu {
    display: block;
}

.header__navbar-user-menu {
    position: absolute;
    z-index: 1;
    padding-left: 0;
    top: calc(90%);
    right: -29px;
    width: 122px;
    border-radius: 2px;
    background-color: black;
    list-style: none;
    box-shadow: 0 1px 2px #e0e0e0;
    display: none;
}

.header__navbar-user-menu::before {
    content: "";
    border-width: 20px 27px;
    border-style: solid;
    border-color: transparent transparent black transparent;
    position: absolute;
    right: 12px;
    top: -29px;
    z-index: -1;
}

.header__navbar-user-menu::after {
    content: "";
    display: block;
    position: absolute;
    top: -8px;
    right: 0;
    width: 56%;
    height: 8px;
}

.header__navbar-user-item a {
    text-decoration: none;
    color: white;
    font-size: 0.8rem;
    padding: 4px 16px;
    display: block;
}

.header__navbar-user-item a:first-child {
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.header__navbar-user-item a:last-child {
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}

.header__navbar-user-item a:hover {
    background-color: rgba(255, 255, 255, 0.5);
}

.header__navbar-item,
.header__navbar-item-link {
    display: inline-block;
    font-size: 1.3rem;
    color: black;
    text-decoration: none;
    font-weight: 300;
}

.header__navbar-item,
.header__navbar-item-link,
.header__navbar-icon-link {
    display: flex;
    align-items: center;
}

.header__navbar-item:hover,
.header__navbar-icon-link:hover,
.header__navbar-item-link:hover {
    color: black;
    cursor: pointer;
}

.header__cart-notice {
    position: absolute;
    padding: 0px 5px;
    font-size: 0.7rem;
    border-radius: 10px;
    background-color: white;
    color: black;
    border: 1.5px solid black;
    top: -11px;
    right: -8px;
}

.header__cart {
    width: 150px;
    text-align: center;
}

.header__cart-wrap {
    position: relative;
    display: inline-block;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}

.header__navbar-item:hover .header__cart-list {
    display: block;
}

.header__cart-list {
    position: absolute;
    top: 100%;
    right: -111px;
    background-color: white;
    width: 400px;
    border-radius: 2px;
    box-shadow: 0 1px 3.125rem rgba(0, 0, 0, 0.2);
    animation: fadeIn ease-in 0.2s;
    cursor: default;
    display: none;
    z-index: 1;
}


.header__cart-heading {
    text-align: left;
    margin: 8px 0 8px 12px;
    font-size: 1rem;
    color: #999;
    font-weight: 400;
}

.header__cart-list-item {
    padding: 0 15px;
    list-style: none;
    overflow-y: auto;
}

.header__cart-item {
    display: flex;
    padding: 0.8rem 0;
    border-bottom: 1px solid #ccc;
    height: 100px;
}

.header__cart-item:hover {
    background-color: #F8F8F8;
}

.header__cart-img {
    width: 85px;
    height: 85px;
    margin: 0 12px 12px 0;
    border: 1px solid #E8E8E8;
}

.header__cart-item-info {
    width: 100%;
    margin-right: 12px;
}

.header__cart-item-head {
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.header__cart-item-name {
    font-size: 1rem;
    overflow: hidden;
    font-weight: 500;
    color: black;
    margin: 0;
    flex: 1;
    padding-right: 16px;
    text-align: left;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.header__cart-item-price {
    font-size: 0.9rem;
    font-weight: 400;
    color: black;
}

.header__cart-item-multiply {
    font-size: 0.9rem;
    margin: 0 4px;
    color: #757575;
}

.header__cart-item-qnt {
    color: #757575;
    font-size: 0.9rem;
}

.header__cart-item-body {
    display: flex;
    justify-content: space-between;
}

.header__cart-item-description {
    color: #757575;
    font-size: 0.9rem;
    font-weight: 300;
}

.header__cart-item-remove {
    color: black;
    font-size: 0.9rem;
}

.header__cart-item-remove:hover {
    color: #fe9614;
    cursor: pointer;
}

.header__cart-view-cart {
    float: right;
    margin: 12px;
    padding: 10px 100px;
    background-color: #121045;
    border-radius: 10px;
    border: none;
    color: white;
    width: 100%;
}

.header__cart-view-cart:hover {
    background-color: #fe9614;
}

.header__cart-list::after {
    cursor: pointer;
    content: "";
    position: absolute;
    right: 100.5px;
    top: -26px;
    border-width: 16px 20px;
    border-style: solid;
    border-color: transparent transparent white transparent;
}


.header__cart-list--no-cart .header__cart-no-cart-img,
.header__cart-list--no-cart .header__cart-list-empty-msg {
    display: block;
    margin-left: auto;
    margin-right: auto;
}


.header__cart-list-empty-msg {
    text-align: center;
}

.header__cart-list-no-cart-msg {
    font-size: 1.3rem;
    margin: 14px 0;
    color: rgba(0, 0, 0, 0.5);
    display: block;
    align-self: center;
}


.header__cart-icon {
    color: black;
    font-size: 2.4rem;
    margin-top: 6px;
}

.header__cart-item-qty-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5px;
}

.header__cart-item-qty {
    width: 25px;
    border: 1px solid #ccc;
    height: 22px;
    text-align: center;
}

.header__cart-item-qty-wrap button {
    border: 1px solid #ccc;
    height: 25px;
    width: 25px;
}

/* Animation */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}


/* Mobile & Tablet */
@media (max-width:1023px) {

    .header__navbar {
        display: flex;
        justify-content: center;
    }

}

/* Tablet */
@media (min-width:740px) and (max-width:1023px) {
    .header {
        height: 3rem !important;
    }

    .header__logo {
        height: 57px !important;
        width: 58px !important;
        object-fit: cover;
        object-position: 50% 0;
        scale: 2.5 !important;
        z-index: -1 !important;
    }

    .header__navbar {
        margin-top: 50px;
    }

    .header__navbar-list-wrap {
        justify-content: center !important;
    }

    .header__navbar-item-link {
        font-size: 2rem !important;
    }


    .header__cart-notice {
        font-size: 1.4rem !important;
        padding: 0px 9px !important;
        top: -19px !important;
        right: -14px !important;
        border-radius: 16px !important;
    }

    .header__navbar-item-wrap {
        position: relative;
    }

}


/* Mobile */
@media (max-width:739px) {
    body {
        width: 100vw;
    }

    .header {
        height: 3rem !important;
    }

    .hide-on-mobile {
        display: none;
    }


    .header__navbar-item-wrap {
        justify-content: center !important;
    }

    .header__navbar-user-menu {
        right: -27.5px !important;
        top: calc(117%) !important;
        width: 100px !important;
    }

    .header__navbar-item-wrap {
        margin-top: 50px;
    }

    .header__navbar-item-link {
        font-size: 2rem !important;
    }

    .header__cart-notice {
        font-size: 1rem !important;
        padding: 0px 9px !important;
        top: -10px;
        right: -19px;
        border-radius: 14px !important;
    }

    .header__cart-list {
        position: fixed;

    }

    .header__navbar-item-wrap {
        position: relative;
    }

}